sqlitestudio(1)

NAME
sqlitestudio - GUI interface to SQLiteStudio, a SQLite manager

SYNOPSIS
sqlitestudio [options] file

DESCRIPTION
SQLiteStudio is a desktop application for browsing and editing SQLite database files. It is aimed for people, who know what SQLite is, or what relational databases are in general. sqlitestudio provides the GUI interface.

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

-v, --version
    Displays version information.

-d, --debug
    Enables debug messages in console (accessible with F12).

--debug-stdout
    Redirects debug messages into standard output (forces debug mode).

--debug-file log file
    Redirects debug messages into given file (forces debug mode).

--debug-lemon
    Enables Lemon parser debug messages for SQL code assistant.

--debug-sql
    Enables debugging of every single SQL query being sent to any database.

--debug-sql-db database
    Limits SQL query messages to only the given "database".

--debug-query-executor
    Enables debugging of SQLiteStudio's query executor.

--master-config SQLiteStudio settings file
    Points to the master configuration file. Read manual at wiki page for more details.

--list-plugins
    Lists plugins installed in the SQLiteStudio and quits.

file
    Database file to open

SEE ALSO
https://github.com/pawelsalawa/sqlitestudio/wiki/User_Manual

AUTHOR
sqlitestudio is written by Paweł Salawa (pawelsalawa@gmail.com).

This manual page was written by Yangfl (mmyangfl@gmail.com) for the Debian Project (and may be used by others).